from django.urls import include, path
from rest_framework.routers import DefaultRouter

from .views import GroupPhotoViewSet, PhotoUploadView, photo_data_view

router = DefaultRouter()
router.register(r'group-photos', GroupPhotoViewSet, basename='group-photo')

urlpatterns = [
    path('upload/', PhotoUploadView.as_view(), name='photo-upload'),
    path('<int:pk>/data/', photo_data_view, name='photo-data'),
    path('', include(router.urls)),
]
